## removesilence removesilence |

## Properties

guint64 | hysteresis | Read / Write
gboolean | remove | Read / Write

## Types and Values

| GstRemoveSilence

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstRemoveSilence

## Description

Removes all silence periods from an audio stream, dropping silence buffers.

#### Example launch line

    1
    gst-launch-1.0 -v -m filesrc location="audiofile" ! decodebin ! removesilence remove=true ! wavenc ! filesink location=without_audio.wav

## Synopsis

### Element Information

plugin | removesilence
author | Tiago Katcipis <tiagokatcipis@gmail.com> Paulo Pizarro <paulo.pizarro@gmail.com>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)1

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)1

## Functions

## Types and Values

### GstRemoveSilence

    typedef struct _GstRemoveSilence GstRemoveSilence;

## Property Details

### The `“hysteresis”` property

      “hysteresis”               guint64

Set the hysteresis (on samples) used on the internal VAD.

Flags: Read / Write

Allowed values: >= 1

Default value: 480

### The `“remove”` property

      “remove”                   gboolean

Set to true to remove silence from the stream, false otherwhise.

Flags: Read / Write

Default value: FALSE